# include "../lexgen1/ldefs.c"

# ifdef unix
char *cname "/usr/lex/cform";
char *ratname "/usr/lib/lex/ratform";
# endif
# ifdef gcos
char *cname "pounce/lookmast";
char *ratname "pounce/ratlook";
# endif
# ifdef ibm
char *cname "'dot.looklex.text'";
char *ratname "'dot.looklex.fort'";
# endif
int debugf;
main (argc, argv)
	char *argv[];
{
	int ks;
	char lbuff[200];

setflg(argc,argv);

defrd();
head1();
ks = rdrule();
tail(ks);

nofree();
subset();
purge();
another();
cform(ks);
cin = copen(ratfor ? ratname : cname , 'r');
while (gets(lbuff))
	{
	printf(output, lbuff, label, label, label, label, label);
	printf(output, "\n");
	}
cexit();
}
